commit:     1f158e08ee6d5f9cc9dfa072add5ac6017639578
Author:     Nicolas PARLANT <nicolas.parlant <AT> parhuet <DOT> fr>
AuthorDate: Tue Aug 26 05:52:50 2025 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Wed Aug 27 05:53:14 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1f158e08

media-sound/qmmp: sync live trunk

switch to trunk because upstream releases often the branch 2.2,
and I thought that was already the case

use patch for xcb/X

remove mplayer support (r12577)

Signed-off-by: Nicolas PARLANT <nicolas.parlant <AT> parhuet.fr>
Part-of: https://github.com/gentoo/gentoo/pull/43569
Closes: https://github.com/gentoo/gentoo/pull/43569
Signed-off-by: Sam James <sam <AT> gentoo.org>

 media-sound/qmmp/qmmp-9999.ebuild | 23 ++++++++++++++++++-----
 1 file changed, 18 insertions(+), 5 deletions(-)

diff --git a/media-sound/qmmp/qmmp-9999.ebuild 
b/media-sound/qmmp/qmmp-9999.ebuild
index 2b80f7888290..794407b7583b 100644
--- a/media-sound/qmmp/qmmp-9999.ebuild
+++ b/media-sound/qmmp/qmmp-9999.ebuild
@@ -15,8 +15,7 @@ if [[ ${PV} != *9999* ]]; then
        KEYWORDS="~amd64 ~x86"
 else
        inherit subversion
-       QMMP_DEV_BRANCH="2.2"
-       
ESVN_REPO_URI="svn://svn.code.sf.net/p/${PN}-dev/code/branches/${PN}-${QMMP_DEV_BRANCH}"
+       ESVN_REPO_URI="svn://svn.code.sf.net/p/${PN}-dev/code/trunk/${PN}"
 fi
 
 LICENSE="CC-BY-SA-4.0 GPL-2+" # default skin & source code
@@ -24,7 +23,7 @@ SLOT="0"
 # KEYWORDS further up
 IUSE="X aac +alsa archive bs2b cdda cddb curl +dbus doc enca
 ffmpeg flac game gnome jack ladspa libxmp +mad midi mpg123
-mplayer musepack opus pipewire projectm pulseaudio qtmedia
+musepack opus pipewire projectm pulseaudio qtmedia
 shout sid sndfile soxr +vorbis wavpack
 "
 REQUIRED_USE="
@@ -61,7 +60,6 @@ RDEPEND="
        mad? ( media-libs/libmad )
        midi? ( media-sound/wildmidi )
        mpg123? ( media-sound/mpg123-base )
-       mplayer? ( media-video/mplayer )
        musepack? ( >=media-sound/musepack-tools-444 )
        opus? ( media-libs/opusfile )
        pipewire? ( media-video/pipewire:= )
@@ -91,6 +89,11 @@ BDEPEND="
        doc? ( app-text/doxygen )
 "
 
+PATCHES=(
+       # Avoid using xcb if qmmp is built without X but qtbase has xcb feature.
+       "${FILESDIR}"/${PN}-2.2.8-fix_xcb.patch
+)
+
 DOCS=( AUTHORS ChangeLog README )
 
 src_prepare() {
@@ -138,7 +141,6 @@ src_configure() {
                -DUSE_MAD="$(usex mad)"
                -DUSE_MIDI="$(usex midi)"
                -DUSE_MPG123="$(usex mpg123)"
-               -DUSE_MPLAYER="$(usex mplayer)"
                -DUSE_MPC="$(usex musepack)"
                -DUSE_NOTIFIER="$(usex X)"
                -DUSE_OPUS="$(usex opus)"
@@ -155,6 +157,9 @@ src_configure() {
                -DUSE_VORBIS="$(usex vorbis)"
                -DUSE_WAVPACK="$(usex wavpack)"
                -DUSE_XMP="$(usex libxmp)"
+
+               # custom option
+               -DUSE_XCB="$(usex X)"
        )
        cmake_src_configure
 }
@@ -167,6 +172,14 @@ src_compile() {
        }
 }
 
+src_install() {
+       cmake_src_install
+
+       if use X; then
+               chmod +x "${ED}"/usr/share/qmmp/scripts/kwin6.sh || die
+       fi
+}
+
 pkg_postinst() {
        xdg_pkg_postinst
 

Reply via email to